diff -Nru orig/cytolib/src/Makevars.ucrt patched/cytolib/src/Makevars.ucrt
--- orig/cytolib/src/Makevars.ucrt	1969-12-31 16:00:00.000000000 -0800
+++ patched/cytolib/src/Makevars.ucrt	2021-08-06 00:09:12.310266400 -0700
@@ -0,0 +1,48 @@
+# Copyright 2019 Fred Hutchinson Cancer Research Center
+# See the included LICENSE file for details on the licence that is granted to the user of this software.
+CXX_STD = CXX11
+# Just a snippet to stop executing under other make(1) commands
+# that won't understand these lines
+ifneq (,)
+This makefile requires GNU Make.
+endif
+
+
+boost_sys_src=${wildcard boost/libs/system/src/*.cpp}
+boost_sys_objs=${boost_sys_src:.cpp=.o}
+boost_fs_src=${wildcard boost/libs/filesystem/src/*.cpp}
+boost_fs_objs=${boost_fs_src:.cpp=.o}
+
+PKG_CPPFLAGS =-DROUT -I../inst/include -DRCPP_PARALLEL_USE_TBB=1 -fpermissive -DBOOST_NO_AUTO_PTR 
+
+	
+#needs to wrap in $(shell) to strip the quotes returned by rhdf5lib::pkgconfig
+RHDF5_LIBS= $(shell "${R_HOME}/bin/Rscript" -e "Rhdf5lib::pkgconfig('PKG_CXX_LIBS')")
+PKG_LIBS =  ${boost_fs_objs} ${boost_sys_objs} $(LAPACK_LIBS) $(BLAS_LIBS) $(FLIBS) `${R_HOME}/bin/Rscript -e "RProtoBufLib:::LdFlags()"` $(RHDF5_LIBS) `${R_HOME}/bin/Rscript -e "RcppParallel::RcppParallelLibs()"` -lws2_32 -lbcrypt
+
+.PHONY: all clean 
+
+USERDIR = ${R_PACKAGE_DIR}/lib${R_ARCH}
+PKGLIB = ${USERDIR}/libcytolib.a
+
+
+all: $(SHLIB) 
+
+$(SHLIB): $(PKGLIB)
+
+
+#expose static lib for other package to link to 
+$(PKGLIB): $(OBJECTS)
+	mkdir -p "${USERDIR}"
+	$(AR) rs "${PKGLIB}" $(OBJECTS) $(boost_fs_objs) ${boost_sys_objs}
+	
+
+
+$(OBJECTS): ${boost_fs_objs}
+
+$(boost_fs_objs): ${boost_sys_objs}
+
+
+clean:
+	rm -f $(OBJECTS) ${boost_fs_objs} ${boost_sys_objs}
+ 
